petsc-3.10.5 2019-03-28
Report Typos and Errors

# PCJacobiSetUseAbs

Causes the Jacobi preconditioner to use the absolute values of the digonal divisors in the preconditioner

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCJacobiSetUseAbs(PC pc,PetscBool flg)

Logically Collective on PC

### Input Parameters

| pc | - the preconditioner context
| flg | - whether to use absolute values or not

### Options Database Key

-pc_jacobi_abs - Notes: This takes affect at the next construction of the preconditioner

### See Also

PCJacobiaSetType(), PCJacobiGetUseAbs()

### Level

intermediate

### Location

src/ksp/pc/impls/jacobi/jacobi.c

### Implementations

PCJacobiSetUseAbs_Jacobi in src/ksp/pc/impls/jacobi/jacobi.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages